#from AxyPy.WorParser.ParserMiCommand.clsParser import baseParser
#from modParsers.parsersLib import initLoadLibParser
from LoadMiWor.ui.processTool.parserWor.ParserMiCommand.modParsers.parsersLib import initLoadLibParser


class ParserMiCreate:
    def __init__(self):
        self.__initObjects()
    def __initObjects(self):
        self.__list_parsers=initLoadLibParser()
    def getParserObject(self,name_parser):
        try:
            obj_comp_parsers=self.__list_parsers[name_parser]
            return obj_comp_parsers
        except:
            print(" Not find pattern :"+name_parser)
            return None
    @property
    def dictionary(self):
        return self.__list_parsers
